# this is the upstream version, used for the tarball
%define fversion	5.3.11

Name:		unrar
# this is the version which is returned by unrar binary, used as real version
Version:	5.31
Release:	%mkrel 1
Summary:	Decompressor for .rar format archives
Source:		http://www.rarlab.com/rar/%{name}src-%fversion.tar.gz
Url:		http://www.rarlab.com/rar_add.htm
License:	Freeware
Group:		Archiving/Compression
Conflicts:	bash-completion < 20031225

%description
The unrar program is used to uncompress .rar format archives, which were
somewhat popular on DOS based machines.

%prep
%setup -q -n %{name}

%build
make CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags} -pthread" STRIP=true

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}

# safety check against submission with a wrong version, fails if the version
# returned by unrar binary is not the same as %%version
./unrar | grep -q "UNRAR %{version}"

%files
%doc license.txt readme.txt
%{_bindir}/%{name}


%changelog
* Fri Feb 26 2016 gw666 <gw666> 5.31-1.mga6
+ Revision: 979438
- new version 5.31

* Mon Feb 01 2016 gw666 <gw666> 5.30-1.mga6.nonfree
+ Revision: 929993
- new version 5.30

* Thu Apr 09 2015 gw666 <gw666> 5.21-1.mga6.nonfree
+ Revision: 819950
- update source to 5.2.7
- new version
- new version

* Wed Oct 15 2014 umeabot <umeabot> 5.10-3.mga5.nonfree
+ Revision: 741804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.10-2.mga5.nonfree
+ Revision: 690060
- Mageia 5 Mass Rebuild

* Mon Jul 14 2014 gw666 <gw666> 5.10-1.mga5.nonfree
+ Revision: 651823
- new version 5.10

* Wed Feb 12 2014 gw666 <gw666> 5.01-1.mga5.nonfree
+ Revision: 589662
- new version
- fix build

* Thu Oct 31 2013 tmb <tmb> 4.20-3.mga4.nonfree
+ Revision: 548528
- Mageia 4 rebuild

  + dams <dams>
    - clean specfile

* Mon Jan 14 2013 umeabot <umeabot> 4.20-2.mga3.nonfree
+ Revision: 385075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 fwang <fwang> 4.20-1.mga3.nonfree
+ Revision: 317579
- new version 4.20

* Wed Mar 14 2012 wally <wally> 4.10-2.mga2.nonfree
+ Revision: 223410
- rebuild for missing i586 pkg

  + doktor5000 <doktor5000>
    - added comments on the purpose of the two versions
    - added safety check against submission with wrong version

* Tue Feb 07 2012 doktor5000 <doktor5000> 4.10-1.mga2.nonfree
+ Revision: 205912
- new version 4.1.4 aka 4.10
- remove useless duplicate definitions for summary, version and release
- remove obsolete %%clean section and empty %%defattr

* Wed Apr 13 2011 ahmad <ahmad> 4.00-1.mga1
+ Revision: 84442
- update to 4.00

* Sat Feb 19 2011 ahmad <ahmad> 3.93-1.mga1
+ Revision: 54442
- imported package unrar

